Debian Bug report logs - #721547
libregexp-grammars-perl: Currently incompatible with Perl 5.18

version graph

Package: libregexp-grammars-perl; Maintainer for libregexp-grammars-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libregexp-grammars-perl is src:libregexp-grammars-perl.

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Sun, 1 Sep 2013 20:33:17 UTC

Severity: serious

Tags: upstream

Found in version libregexp-grammars-perl/1.028-1

Fix blocked by 721552: libregexp-grammars-perl: Currently incompatible with Perl 5.18

Forwarded to https://rt.cpan.org/Public/Bug/Display.html?id=79149

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#721547; Package libregexp-grammars-perl. (Sun, 01 Sep 2013 20:33:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 01 Sep 2013 20:33:21 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libregexp-grammars-perl: Currently incompatible with Perl 5.18
Date: Sun, 01 Sep 2013 22:32:31 +0200
Package: libregexp-grammars-perl
Version: 1.028-1
Severity: serious
Tags: upstream
Justification: maintainer decision, unfit for release with perl 5.18.1; incompatible

This is a blocking bug to prevent further migration of
libregexp-grammars-perl into testing until some incompatibility
problems with Perl 5.18 are solved upstream:

,---- [ lib/Regexp/Grammars.pm ]
| Warning: Regexp::Grammars is currently unsupported under Perl 5.18.
|
| Perl 5.18 changed how 'qr' constant overloadings are parsed and the
| scope in which they are subsequently compiled. This change currently
| make it impossible to reliably create 'qr' overloadings that inject
| code blocks into a regex, as it prevents the overloaded regexes from
| compiling properly in many cases, even with an explicit 'use re
| "eval"' in scope.
|
| These problems have been reported, and the brave volunteers of P5P are
| currently working on fixes. However, these will not be available until
| at least 5.18.2.
|
| Because Regexp::Grammars relies on 'qr' overloads to inject code blocks
| into regexes, the module is curently not compatible with Perl 5.18. It
| may continue to work in some limited cases, but is no longer reliable.
|
| At present, if you rely on Regexp::Grammars for your parsing needs, your
| alternatives are either not to upgrade to Perl 5.18, to livce with the
| problems until they are resolved (in Perl 5.18.2, we hope), or else to
| consider switching to another parsing system, such as Marpa.
|
| We deeply regret that Regexp::Grammars cannot currently be maintained
| completelt due to these backwards-incompatible changes and bugs in
| Perl 5.18.
`----

Regards,
Salvatore



Bug 721547 cloned as bug 721552 Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sun, 01 Sep 2013 20:57:12 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 721547: 721552 Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sun, 01 Sep 2013 20:57:15 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://rt.cpan.org/Public/Bug/Display.html?id=79149'. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sun, 01 Sep 2013 21:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#721547; Package libregexp-grammars-perl. (Sat, 15 Feb 2014 07:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 15 Feb 2014 07:03:04 GMT) Full text and rfc822 format available.

Message #16 received at 721547@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 721547@bugs.debian.org, 721552@bugs.debian.org
Subject: Re: Bug#721547: libregexp-grammars-perl: Currently incompatible with Perl 5.18
Date: Sat, 15 Feb 2014 07:58:57 +0100
Hi

This is only a small update on libregexp-grammars-perl status: the
problems were not yet all solved with 5.18.2, see [1] but work is
still in progress.

 [1] https://rt.cpan.org/Public/Bug/Display.html?id=79149#txn-1326842

Regards,
Salvatore



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#721547; Package libregexp-grammars-perl. (Mon, 07 Apr 2014 15:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 07 Apr 2014 15:45:04 GMT) Full text and rfc822 format available.

Message #21 received at 721547@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 721547@bugs.debian.org
Cc: 721552@bugs.debian.org, DCONWAY@CPAN.org
Subject: Re: Bug#721547: libregexp-grammars-perl: Currently incompatible with Perl 5.18
Date: Mon, 7 Apr 2014 17:43:42 +0200
Hi,

Damian, CC'ing you only for information :)

On Sun, Sep 01, 2013 at 10:32:31PM +0200, Salvatore Bonaccorso wrote:
> Package: libregexp-grammars-perl
> Version: 1.028-1
> Severity: serious
> Tags: upstream
> Justification: maintainer decision, unfit for release with perl 5.18.1; incompatible
> 
> This is a blocking bug to prevent further migration of
> libregexp-grammars-perl into testing until some incompatibility
> problems with Perl 5.18 are solved upstream:
> 
> ,---- [ lib/Regexp/Grammars.pm ]
> | Warning: Regexp::Grammars is currently unsupported under Perl 5.18.
> |
> | Perl 5.18 changed how 'qr' constant overloadings are parsed and the
> | scope in which they are subsequently compiled. This change currently
> | make it impossible to reliably create 'qr' overloadings that inject
> | code blocks into a regex, as it prevents the overloaded regexes from
> | compiling properly in many cases, even with an explicit 'use re
> | "eval"' in scope.
> |
> | These problems have been reported, and the brave volunteers of P5P are
> | currently working on fixes. However, these will not be available until
> | at least 5.18.2.
> |
> | Because Regexp::Grammars relies on 'qr' overloads to inject code blocks
> | into regexes, the module is curently not compatible with Perl 5.18. It
> | may continue to work in some limited cases, but is no longer reliable.
> |
> | At present, if you rely on Regexp::Grammars for your parsing needs, your
> | alternatives are either not to upgrade to Perl 5.18, to livce with the
> | problems until they are resolved (in Perl 5.18.2, we hope), or else to
> | consider switching to another parsing system, such as Marpa.
> |
> | We deeply regret that Regexp::Grammars cannot currently be maintained
> | completelt due to these backwards-incompatible changes and bugs in
> | Perl 5.18.
> `----

I had the privilege to talk directly to Damian to aks about if it is
worth keeping Regexp::Grammars. Basically I would suggest the
following:

As we have from the RT ticket, there is slowly progress, and possibly
in some perl 5.18.x release it might be fixed the remaining problems,
basically around say 95% of it should work already now again.

I'm proposing the following: Keep Regexp::Grammars still in Debian
unstable. The release-critical Bug prevents the package migrating to
Debian Testing, so we will not ship libregexp-grammars-perl with a
Debian release which has perl 5.18.

The issues should be solved when working with Perl 5.20, which will
be released next month. Once this happens, a new version of
Regexp::Grammars will eventually be uploaded by Damian which changes
the warning to mark explicitly only the broken 5.18 releases.

Once we have Perl 5.20 in Debian libregexp-grammars-perl should be
safe to distribute again together in Debian as packaged module.

Thus in short: I'm in favour to keep the package for now with a RC bug
open preventing the migration to testing.

Regards,
Salvatore



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#721547; Package libregexp-grammars-perl. (Mon, 07 Apr 2014 18:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damian Conway <damian@conway.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 07 Apr 2014 18:03:04 GMT) Full text and rfc822 format available.

Message #26 received at 721547@bugs.debian.org (full text, mbox):

From: Damian Conway <damian@conway.org>
To: Salvatore Bonaccorso <carnil@debian.org>
Cc: 721547@bugs.debian.org, 721552@bugs.debian.org, "DCONWAY@CPAN.org" <DCONWAY@cpan.org>
Subject: Re: Bug#721547: libregexp-grammars-perl: Currently incompatible with Perl 5.18
Date: Mon, 7 Apr 2014 20:00:24 +0200
Thanks for the CC, Salvatore.

I've added a note to my ToDo list to revisit the module within the next month.

BTW, only 4 of the module's 921 tests fail under 5.19.9, so we're very
very close
to okay for Perl 5.20. :-)

Damian



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:09:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.